/* Coastal map file.
 */
map 16 26 200.0 1600 {
AAAAAAAAAAAAAAAA
AAAGZfgfswefhsdA
AAABBCGJADEAGJKA
AAAAABBBBBDFJKKA
AAAAAAAAABBFGHEA
AAAAAAAAAABFFHHA
AAAAAAAAAABFFGIA
AAAAAAAAAABBFFJA
AAAAAAAAAAABFFMA
AAAAAAAAAAABFFLA
AAAAAAAAAABBFFKA
AAAAAAAAAABFFMNA
AAAAAAAAAABFFJMA
AAAAAAAAAABFFKDA
AAAAAAAAABBFFLGA
AAAAAAAAABFFGMPA
AAAAAJJJJGFGLMOA
AAAAAAAABCKMMMMA
AAAAAAAABDLNMMMA
AAAAAADDLMMMMMMA
AAAAAADDMMMMNMMA
AAAAAAADJMMMNMMA
AMMMAAAADKMMMMMA
AMMMAAAABDLMMNNA
AMMMAAAAAAABBBBA
AAAAAAAAAAAAAAAA
}
ground 2 3
fadeto 0 0 10000
lookout 2200 4000 550

/* Buildings along the coast.
 */
vehicle lighthouse {
name "The Airey's Inlet lighthouse"
offset 2200 4000 343
hp 100
type static
object {		/* tower base */
	points {
		/* Lower part of tower */
		20 0 0  15 15 0  0 20 0  -15 15 0
		-20 0 0  -15 -15 0  0 -20 0  15 -15 0
		/* Upper part */
		15 0 150  10 10 150  0 15 150  -10 10 150
		-15 0 150  -10 -10 150  0 -15 150  10 -10 150
		}
	face 60 f { 0 8 9 1 }
	face 61 f { 1 9 10 2 }
	face 62 f { 2 10 11 3 }
	face 63 f { 3 11 12 4 }
	face 60 f { 4 12 13 5 }
	face 61 f { 5 13 14 6 }
	face 62 f { 6 14 15 7 }
	face 63 f { 7 15 8 0 }
	}
object {		/* room on top */
	points {
		15 0 150  10 10 150  0 15 150  -10 10 150
		-15 0 150  -10 -10 150  0 -15 150  10 -10 150
		10 0 170  7 7 170  0 10 170  -7 7 170
		-10 0 170  -7 -7 170  0 -10 170  7 -7 170
		}
	face 150 f { 0 8 9 1 }
	face 151 f { 1 9 10 2 }
	face 152 f { 2 10 11 3 }
	face 153 f { 3 11 12 4 }
	face 154 f { 4 12 13 5 }
	face 155 f { 5 13 14 6 }
	face 156 f { 6 14 15 7 }
	face 157 f { 7 15 8 0 }
	face 158 f { 15 14 13 12 11 10 9 8 }
	}
object {		/* building next door */
	points { 5 -20 0  -5 -20 0  -5 -40 0  5 -40 0
		 5 -20 9  -5 -20 9  -5 -40 9  5 -40 9
		 0 -25 14  0 -35 14 }
	face 58 f { 0 4 5 1 }
	face 59 f { 1 5 6 2 }
	face 60 f { 2 6 7 3 }
	face 61 f { 3 7 4 0 }
	face 152 f { 7 9 8 4 }
	face 151 f { 4 8 5 }
	face 150 f { 6 5 8 9 }
	face 149 f { 6 9 7 }
	}
}

/* Houses along the coast */
#include "house.def.v"
vehicle house {  instance house  offset 1900 1800 0 }
vehicle house {  instance house  offset 1900 1300 0 }
vehicle house {  instance house  offset 1900 2300 0 }
vehicle house {  instance house  offset 1400 3600 0 }
vehicle house {  instance house  offset 400  4600 343 }

/* A ship at sea */
vehicle ship {
name "A Battleship"
type static
hp 200
offset 800 1600 0
object {			/* Hull and deck */
	points {
		-40 -140 0   40 -140 0   40 120 0   -40 120 0
		-60 -170 60  60 -170 60  60 170 60  -60 170 60
		}
	face 45 f { 0 4 5 1 }
	face 46 f { 1 5 6 2 }
	face 47 f { 2 6 7 3 }
	face 48 f { 3 7 4 0 }
	face 180 f { 7 6 5 4 }
	}
}
vehicle shipupper {		/* Superstructure */
name "A Battleship"
hp 100
type static
offset 800 1600 1
object {			/* Lower part of superstructure */
	points {
		-30 -80 60  30 -80 60  30 40 60  -30 40 60
		-30 -80 80  30 -80 80  30 40 80  -30 40 80
		}
	face 50 f { 0 4 5 1 }
	face 51 f { 1 5 6 2 }
	face 52 f { 2 6 7 3 }
	face 53 f { 3 7 4 0 }
	face 54 f { 7 6 5 4 }
	}
object {			/* Upper part */
	points {
		-20 -40 80  20 -40 80  20 10 80  -20 10 80
		-20 -40 95  20 -40 95  20 10 95  -20 10 95
		}
	face 50 f { 0 4 5 1 }
	face 51 f { 1 5 6 2 }
	face 52 f { 2 6 7 3 }
	face 53 f { 3 7 4 0 }
	face 54 f { 7 6 5 4 }
	}
}
#include "cannon.def.v"
vehicle cannon1 {
instance cannon
offset 800 1710 61
flying
}
vehicle cannon2 {
instance cannon
offset 800 1460 61
flying
}

/* Birds flying around */
#include "ptero.def.v"
vehicle ptero1 {
instance pterodactyl
type thing
offset 1200 1200 50
angle_velocity 25
max velocity 100
velocity 40
}
vehicle ptero2 {
instance pterodactyl
type thing
offset 1200 2700 400
angle_velocity -25
max velocity 100
velocity 50
}

